Coherence uPNP plugin missing in totem in Oneiric

Bug #827382 reported by Tony Mugan on 2011-08-16
236
This bug affects 49 people
Affects Status Importance Assigned to Milestone
totem (Ubuntu)
Low
Unassigned

Bug Description

I have installed totem-plugins-extra and can see the BBC iPlayer plugin in Totem but not the Coherence uPNP plugin when running Oneiric with all updates.

Both are listed in Synaptic as being part of that package.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: totem-plugins-extra 3.0.1-0ubuntu3
ProcVersionSignature: Ubuntu 3.0.0-8.11-generic 3.0.1
Uname: Linux 3.0.0-8-generic x86_64
NonfreeKernelModules: fglrx
Architecture: amd64
Date: Wed Aug 17 00:00:32 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha amd64 (20110319)
LogAlsaMixer:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: totem
UpgradeStatus: Upgraded to oneiric on 2011-07-27 (20 days ago)

Related branches

Tony Mugan (tmugan) wrote :
Pedro Villavicencio (pedro) wrote :

Confirmed, i've installed the package and no plugin is being listed on the totem preferences.

Changed in totem (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
EricDHH (ericdhh) wrote :

amd64 beta

Confirmed, the upnp-inspector shows the devices well but totem. Synaptic tells me that the extras packages include upnp, but it is not listed in the plugins.

EricDHH (ericdhh) wrote :

None of the plugins can be activated, when clicked there appears a red symbol and...

Traceback (most recent call last):
  File "/usr/lib/totem/plugins/opensubtitles/opensubtitles.py", line 298, in <module>
    class OpenSubtitles(gobject.GObject, Peas.Activatable):
TypeError: Error when calling the metaclass bases
    metaclass conflict: the metaclass of a derived class must be a (non-strict) subclass of the metaclasses of all its bases

(totem:11098): libpeas-WARNING **: Error loading plugin 'opensubtitles'
Traceback (most recent call last):
  File "/usr/lib/totem/plugins/pythonconsole/pythonconsole.py", line 69, in <module>
    class PythonConsolePlugin(gobject.GObject, Peas.Activatable):
TypeError: Error when calling the metaclass bases
    metaclass conflict: the metaclass of a derived class must be a (non-strict) subclass of the metaclasses of all its bases

(totem:11098): libpeas-WARNING **: Error loading plugin 'pythonconsole'

Nikolaus Filus (nfilus) wrote :

both reports confirmed again. I opened a new report about the general python plugin error as bug #855100.

Tony Mugan (tmugan) wrote :

Confirmed again with the full release of Oneiric.
No sign of Coherence in the plugins for totem even though totem-plugins-extra is installed and the package details (displayed in synaptic) indicate that coherence is one of the component plugins.

The other listed totem-plugins-extra plugins, Gromit and BBC player, do however show up in the list of plugins in totem.

As far as I understand, this is version is used in oneiric:

http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/oneiric/totem/oneiric/view/head:/debian/totem-plugins-extra.install

The coherence_upnp is commented out so it simply not installed.

Brad Needham (fishrcynic) wrote :

Updated dependencies of totem-coherence to match the new code using
    introspection but keep the package disabled as python-coherence is
    still PyGTK based and thus incompatible.

https://launchpad.net/ubuntu/+source/totem/3.0.1-0ubuntu1

from change log per [ Raphaël Hertzog ]

Robin (robingape) wrote :

Colleagues,

why the Coherence plugin is not available is rather less interesting to a user than that UPnP/DLNA audio & video (music and films) are not available *today* in an Oneiric player client.

Is there anything that one can do to move the resolution/fix on?

Hadmut Danisch (hadmut) wrote :

This is another one of those many aspects where oneiric is a severe regression compared to natty. I am close to removing oneiric from all my machines and reinstalling 11.04, which was significantly better in every aspect.

Hadmut,

I have four machines running Ubuntu Desktop (3x64 bit, 1x32 bit), and so
far have put Oneiric on one of them, as a pathfinder. Currently, I'm
wondering about splitting the Linux partition on that machine in two,
and putting Debian (or possibly Fedora 16) on the new partition, because
Oneiric is just so rough. The other machines will stay with 11.04 for
the moment.

Thankfully, Ubuntu Server 10.04 LTS "just works", which makes the
various problems with Oneiric all the more frustrating.

Good luck with your own machines,

Robin (who's been playing with computers one way and another since '68!)

On 01/11/11 09:50, Hadmut Danisch wrote:
> This is another one of those many aspects where oneiric is a severe
> regression compared to natty. I am close to removing oneiric from all my
> machines and reinstalling 11.04, which was significantly better in every
> aspect.
>

Andreas Hasenack (ahasenack) wrote :

It's explicitly disabled in debian/totem-plugins-extra.install:
debian/tmp/usr/lib/totem/plugins/gromit
#debian/tmp/usr/lib/totem/plugins/coherence_upnp
debian/tmp/usr/lib/totem/plugins/iplayer

Someone did this knowingly.

bzr blame shows:
180 seb128@ | #debian/tmp/usr/lib/totem/plugins/coherence_upnp

That revision has a big resync with debian in the commit message. The entry relevant to this file seems to be:
  * debian/totem-plugins-extra.install:
    - Plugins split out ouf totem-plugins
  * debian/totem-plugins.install:
    - Move some plugins to totem-plugins-extra

Something bad probably happened in that merge.

Andreas Hasenack (ahasenack) wrote :

BTW, it's a regression for me too, as I used that plugin extensively in totem.

I know it's not a solution to this bug, but an alternative is to install djmount. Create a directory and then :
$ djmount ./yourdirectory.

And voilà! All your UPnP shares can be seen in this directory.

Tony Mugan (tmugan) wrote :

Just tested in Ubuntu 12.04 Precise Pangolin Alpha2 and Coherence plugin is still missing.
I have installed the totem-plugins-extra and the BBC iPlayer has appeared as a plugin for example, but no Coherence.

Jeremy Bicha (jbicha) wrote :

The coherence plugin has been dropped by the Totem developers so I'm going to have to close this bug.

http://git.gnome.org/browse/totem/commit/?id=adc3ba965ab46a94335ffee06dacdad24322a093

Changed in totem (Ubuntu):
status: Confirmed → Won't Fix
Tony Mugan (tmugan) wrote :

The package details in Synaptic still declare that it is part of it though?
If it is not to be fixed then perhaps the package should be rectified to indicate that?

-------------------------------------------------------------------------

Totem is a simple yet featureful media player for GNOME which can read
a large number of file formats.

This package contains an extra set plugins for Totem, which allow to:

   * Annotate the screen with the Gromit tool
   * Have a DLNA/UPnP client for Totem powered by Coherence
   * Stream BBC programs

Additional plugins can be written in C, Python or Vala.

Jeremy Bicha (jbicha) wrote :

Tony, thanks. That will be fixed with the next Totem upload.

Changed in totem (Ubuntu):
status: Won't Fix → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package totem - 3.0.1-0ubuntu17

---------------
totem (3.0.1-0ubuntu17) precise; urgency=low

  * debian/control.in:
    - don't Build-Depends on libxtst-dev so the codepath generating fake key
      events is disabled, those events lead to weird behaviours with
      some applications or the unity hud (lp: #923644)
    - drop the Build-Depends on individual girs, the libs depends on those
  * debian/patches/git_commandfix_incorrect_free.patch:
    - fix segfault with on line options use (lp: #860079, #884811, #917241)

  [ Jeremy Bicha ]
  * Drop coherence plugin description since the plugin has been
    removed by GNOME. (LP: #827382)
 -- Sebastien Bacher <email address hidden> Mon, 06 Feb 2012 11:48:10 +0100

Changed in totem (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers